Subject: bug#45412: File ... is large (... MiB), really open? (y)es or (n)o or (l)iterally

From: Daniel Martín <[email-masked]>
Date: Sat, 17 Apr 2021 01:50:05 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Daniel Martín <[email-masked]> writes:
>
>> OK, I've implemented it in the attached patch.  Suggestions
>> welcome.
>
> Hm...  wouldn't just using `read-multiple-choice' be simpler here? 

I've given `read-multiple-choice' a try and the help text doesn't look
very good if any of the descriptions is a bit long.  Another problem I
saw is that if the help text contains a reference to a variable, the
rendered hyperlink doesn't work.

It's a pity because I think this function is a good way to simplify and
homogenize this use case in Emacs.